// _GestionInclusionsTypeContrat_Interface.java
// Created on 4 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.elections.nomenclature.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionInclusionsTypeContrat_Interface extends COFrame {

    /** Creates new form _GestionInclusionsTypeContrat_Interface */
    public _GestionInclusionsTypeContrat_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        displayGroupDetail = new org.cocktail.component.CODisplayGroup();
        displayGroupCategorie = new org.cocktail.component.CODisplayGroup();
        displayGroupGroupeExclusion = new org.cocktail.component.CODisplayGroup();
        listeAffichageGroupeExclusion = new org.cocktail.component.COTable();
        cOButton6 = new org.cocktail.component.COButton();
        vueCollege = new org.cocktail.component.COView();
        cOButton10 = new org.cocktail.component.COButton();
        cOButton8 = new org.cocktail.component.COButton();
        listeAffichageCategorie = new org.cocktail.component.COTable();
        vueBoutonsValidation = new org.cocktail.component.COView();
        cOButton11 = new org.cocktail.component.COButton();
        cOButton12 = new org.cocktail.component.COButton();
        cOButton5 = new org.cocktail.component.COButton();
        listeAffichageDetails = new org.cocktail.component.COTable();
        cOButton9 = new org.cocktail.component.COButton();
        cOButton7 = new org.cocktail.component.COButton();

        displayGroup.setEntityName("College");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        displayGroupDetail.setEntityName("TypeContratTravail");
        displayGroupDetail.setHasDelegate(true);

        displayGroupCategorie.setEntityName("Categorie");
        displayGroupCategorie.setHasDelegate(true);

        displayGroupGroupeExclusion.setEntityName("GroupeExclusion");
        displayGroupGroupeExclusion.setHasDelegate(true);

        setControllerClassName("org.cocktail.mangue.client.elections.nomenclature.GestionInclusionsTypeContrat");
        setSize(new java.awt.Dimension(760, 491));

        listeAffichageGroupeExclusion.setColumns(new Object[][] {{null,"groupeExclusion.llGroupeExclusion",new Integer(2),"Groupe Exclusion",new Integer(0),new Integer(246),new Integer(1000),new Integer(101)}});
        listeAffichageGroupeExclusion.setDisplayGroupForTable(displayGroupGroupeExclusion);

        cOButton6.setActionName("supprimerTypeContrat");
        cOButton6.setBorderPainted(false);
        cOButton6.setEnabledMethod("peutSupprimerTypeContrat");
        cOButton6.setIconName("supprimer16.gif");

        org.jdesktop.layout.GroupLayout vueCollegeLayout = new org.jdesktop.layout.GroupLayout(vueCollege);
        vueCollege.setLayout(vueCollegeLayout);
        vueCollegeLayout.setHorizontalGroup(
            vueCollegeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 695, Short.MAX_VALUE)
        );
        vueCollegeLayout.setVerticalGroup(
            vueCollegeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 209, Short.MAX_VALUE)
        );

        cOButton10.setActionName("supprimerCategorie");
        cOButton10.setBorderPainted(false);
        cOButton10.setEnabledMethod("peutSupprimerCategorie");
        cOButton10.setIconName("supprimer16.gif");

        cOButton8.setActionName("supprimerGroupeExclusion");
        cOButton8.setBorderPainted(false);
        cOButton8.setEnabledMethod("peutSupprimerExclusion");
        cOButton8.setIconName("supprimer16.gif");

        listeAffichageCategorie.setColumns(new Object[][] {{null,"categorie.libelleCourt",new Integer(2),"Catégorie",new Integer(0),new Integer(147),new Integer(1000),new Integer(55)}});
        listeAffichageCategorie.setDisplayGroupForTable(displayGroupCategorie);

        cOButton11.setActionName("annuler");
        cOButton11.setBorderPainted(false);
        cOButton11.setEnabledMethod("modificationEnCours");
        cOButton11.setIconName("annuler16.gif");

        cOButton12.setActionName("valider");
        cOButton12.setBorderPainted(false);
        cOButton12.setEnabledMethod("peutValider");
        cOButton12.setIconName("valider16.gif");

        org.jdesktop.layout.GroupLayout vueBoutonsValidationLayout = new org.jdesktop.layout.GroupLayout(vueBoutonsValidation);
        vueBoutonsValidation.setLayout(vueBoutonsValidationLayout);
        vueBoutonsValidationLayout.setHorizontalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createSequentialGroup()
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );
        vueBoutonsValidationLayout.setVerticalGroup(
            vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(vueBoutonsValidationLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                .add(cOButton11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(cOButton12, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
        );

        cOButton5.setActionName("ajouterTypeContrat");
        cOButton5.setBorderPainted(false);
        cOButton5.setEnabledMethod("peutAjouterTypeContrat");
        cOButton5.setIconName("loupe16.gif");

        listeAffichageDetails.setColumns(new Object[][] {{null,"typeContratTravail.code",new Integer(2),"Code",new Integer(0),new Integer(40),new Integer(1000),new Integer(10)},{null,"typeContratTravail.libelleCourt",new Integer(2),"Type de Contrat",new Integer(0),new Integer(205),new Integer(1000),new Integer(35)}});
        listeAffichageDetails.setDisplayGroupForTable(displayGroupDetail);
        listeAffichageDetails.setResizingAllowed(true);

        cOButton9.setActionName("ajouterCategorie");
        cOButton9.setBorderPainted(false);
        cOButton9.setEnabledMethod("peutSupprimerExclusion");
        cOButton9.setIconName("loupe16.gif");

        cOButton7.setActionName("ajouterGroupeExclusion");
        cOButton7.setBorderPainted(false);
        cOButton7.setEnabledMethod("peutSupprimerTypeContrat");
        cOButton7.setIconName("loupe16.gif");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(12, 12, 12)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(vueCollege, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, listeAffichageDetails, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 266, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(0, 0, 0)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createSequentialGroup()
                                .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(listeAffichageGroupeExclusion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 266, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(0, 0, 0)))
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(listeAffichageCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 167, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(38, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(18, 18, 18)
                .add(vueCollege, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(9, 9, 9)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(cOButton8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(cOButton9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(2, 2, 2)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                        .add(listeAffichageDetails, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 202, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(layout.createSequentialGroup()
                            .add(listeAffichageCategorie, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(vueBoutonsValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(listeAffichageGroupeExclusion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 202, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(29, 29, 29))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.COButton cOButton10;
    public org.cocktail.component.COButton cOButton11;
    public org.cocktail.component.COButton cOButton12;
    public org.cocktail.component.COButton cOButton5;
    public org.cocktail.component.COButton cOButton6;
    public org.cocktail.component.COButton cOButton7;
    public org.cocktail.component.COButton cOButton8;
    public org.cocktail.component.COButton cOButton9;
    public org.cocktail.component.CODisplayGroup displayGroup;
    public org.cocktail.component.CODisplayGroup displayGroupCategorie;
    public org.cocktail.component.CODisplayGroup displayGroupDetail;
    public org.cocktail.component.CODisplayGroup displayGroupGroupeExclusion;
    public org.cocktail.component.COTable listeAffichageCategorie;
    public org.cocktail.component.COTable listeAffichageDetails;
    public org.cocktail.component.COTable listeAffichageGroupeExclusion;
    public org.cocktail.component.COView vueBoutonsValidation;
    public org.cocktail.component.COView vueCollege;
    // End of variables declaration//GEN-END:variables
                  

}
